%define upstream_name    Convert-ASN1
%define upstream_version 0.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    ASN.1 Encode/Decode library for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/authors/id/GBARR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Math::BigInt) >= 1.997.0
BuildRequires: perl(Test::More) >= 0.900.0
BuildArch:  noarch

%description
Perl module used to encode and decode ASN.1 data structures using
BER/DER rules.

Needed by webmin to handle the OpenLDAP modules properly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%doc ChangeLog LICENSE META.json META.yml MYMETA.yml SIGNATURE examples
%{perl_vendorlib}/Convert/*
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.260.0-3.mga4
+ Revision: 510321
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 364757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 0.260.0-1.mga3
+ Revision: 261498
- update to 0.26

* Sat Jun 09 2012 jquelin <jquelin> 0.250.0-1.mga3
+ Revision: 258806
- update to 0.25

* Wed Jun 06 2012 jquelin <jquelin> 0.240.0-1.mga3
+ Revision: 256099
- update to 0.24

* Fri Jan 21 2011 jquelin <jquelin> 0.220.0-2.mga1
+ Revision: 29387
- rebuild
- mageia rebuild

* Mon Jan 17 2011 spuhler <spuhler> 0.220.0-1.mga1
+ Revision: 20824
- removed buildroot definition from .spec

  + jquelin <jquelin>
    - imported package perl-Convert-ASN1


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-1mdv2010.1
+ Revision: 409022
- rebuild using %%perl_convert_version

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2009.1
+ Revision: 292034
- update to new version 0.22

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.21-2mdv2009.0
+ Revision: 223576
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.21-1mdv2008.1
+ Revision: 136693
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.21-1mdv2008.0
+ Revision: 19816
- 0.21


* Mon Feb 27 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.20-1mdk
- 0.20

* Mon Jun 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.19-2mdk
- rebuild for new Perl

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.19-1mdk
- 0.19

* Fri Apr 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.18-1mdk
- 0.18

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.16-4mdk
- rebuild for new perl
- don't use PREFIX
- rm -rf $RPM_BUILD_ROOT in %%install, not %%build
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.16-3mdk
- rebuild for auto{req,prov}

